PipeWire: bluez-autoswitch.c File Reference

PipeWire 0.3.34

Data Structures | Macros | Functions
bluez-autoswitch.c File Reference

## Data Structures
struct | impl
struct | node
struct | find_data

## Macros
#define | NAME "bluez-autoswitch"
#define | SESSION_KEY "bluez-autoswitch"
#define | RESTORE_DELAY_SEC 3
#define | DEFAULT_AUDIO_SINK_KEY "default.audio.sink"

## Functions
const char * | get_saved_profile (struct impl *impl, const char *dev_name)
void | set_saved_profile (struct impl *impl, const char *dev_name, const char *profile_name)
bool | get_pending_save (struct impl *impl, const char *dev_name)
void | set_pending_save (struct impl *impl, const char *dev_name, bool pending)
const char * | get_saved_headset_profile (struct impl *impl, const char *dev_name)
void | set_saved_headset_profile (struct impl *impl, const char *dev_name, const char *profile_name)
int | sm_bluez5_autoswitch_start (struct sm_media_session *session)

## Macro Definition Documentation

## ◆ DEFAULT_AUDIO_SINK_KEY

#define DEFAULT_AUDIO_SINK_KEY "default.audio.sink"

## ◆ NAME

#define NAME "bluez-autoswitch"

## ◆ RESTORE_DELAY_SEC

#define RESTORE_DELAY_SEC 3

## ◆ SESSION_KEY

#define SESSION_KEY "bluez-autoswitch"

## Function Documentation

## ◆ get_pending_save()

bool get_pending_save | ( | struct impl * | impl,
|  | const char * | dev_name
| ) |  |

References impl::properties, pw_properties_get(), spa_atob(), and spa_scnprintf().

## ◆ get_saved_headset_profile()

const char* get_saved_headset_profile | ( | struct impl * | impl,
|  | const char * | dev_name
| ) |  |

References impl::properties, pw_properties_get(), and spa_scnprintf().

## ◆ get_saved_profile()

const char* get_saved_profile | ( | struct impl * | impl,
|  | const char * | dev_name
| ) |  |

References impl::properties, pw_properties_get(), and spa_scnprintf().

## ◆ set_pending_save()

void set_pending_save | ( | struct impl * | impl,
|  | const char * | dev_name,
|  | bool | pending
| ) |  |

References impl::properties, pw_properties_set(), and spa_scnprintf().

## ◆ set_saved_headset_profile()

void set_saved_headset_profile | ( | struct impl * | impl,
|  | const char * | dev_name,
|  | const char * | profile_name
| ) |  |

References impl::properties, pw_properties_set(), and spa_scnprintf().

## ◆ set_saved_profile()

void set_saved_profile | ( | struct impl * | impl,
|  | const char * | dev_name,
|  | const char * | profile_name
| ) |  |

References impl::properties, pw_properties_set(), and spa_scnprintf().

## ◆ sm_bluez5_autoswitch_start()

int sm_bluez5_autoswitch_start | ( | struct sm_media_session * | session | ) |

References impl::context, impl::listener, impl::properties, pw_log_info, pw_properties_new(), impl::session, SESSION_KEY, sm_media_session_add_listener(), sm_media_session_load_state(), and spa_strerror.